Index: LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5160)
@@ -366,5 +366,5 @@
     !   L_v(1:knon) = RLvtt
 
-    !      print *,' AAAA wx_pbl_dTs, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
+    !      PRINT *,' AAAA wx_pbl_dTs, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
 
     T10_x(1:knon) = (AT_x(1:knon) / C_p(1:knon) - Kech_h_x(1:knon) * BT_x(1:knon) * dtime * Ts0_x(1:knon)) / &
@@ -449,5 +449,5 @@
     !!!! DO j = 1,knon
     !!!!  IF (mod(j,20) .EQ.0) THEN
-    !!!!   print *, '   j     dd_QQ       QQ_b  dd_HQphiQ  dd_HQphiT   dd_HQRn   HQphiQ_b   HQphiT_b     HQRn_b '
+    !!!!   PRINT *, '   j     dd_QQ       QQ_b  dd_HQphiQ  dd_HQphiT   dd_HQRn   HQphiQ_b   HQphiT_b     HQRn_b '
     !!!!  ENDIF
     !!!!   print 1789, j, dd_QQ(j), QQ_b(j), dd_HQphiQ(j), dd_HQphiT(j), dd_HQRn(j), HQphiQ_b(j), HQphiT_b(j), HQRn_b(j)
@@ -503,11 +503,11 @@
 
     IF (prt_level >= 10) THEN
-      print *, 'wx_pbl_merge, tau         ', tau
-      print *, 'wx_pbl_merge, AcoefT0     ', AcoefT0
-      print *, 'wx_pbl_merge, AcoefQ0     ', AcoefQ0
-      print *, 'wx_pbl_merge, BcoefT0     ', BcoefT0
-      print *, 'wx_pbl_merge, BcoefQ0     ', BcoefQ0
-      print *, 'wx_pbl_merge, qsat0_w, qsat0_x ', (qsat0_w(j), qsat0_x(j), j = 1, knon)
-      print *, 'wx_pbl_merge, dqsatdT0_w, dqsatdT0_x ', (dqsatdT0_w(j), dqsatdT0_x(j), j = 1, knon)
+      PRINT *, 'wx_pbl_merge, tau         ', tau
+      PRINT *, 'wx_pbl_merge, AcoefT0     ', AcoefT0
+      PRINT *, 'wx_pbl_merge, AcoefQ0     ', AcoefQ0
+      PRINT *, 'wx_pbl_merge, BcoefT0     ', BcoefT0
+      PRINT *, 'wx_pbl_merge, BcoefQ0     ', BcoefQ0
+      PRINT *, 'wx_pbl_merge, qsat0_w, qsat0_x ', (qsat0_w(j), qsat0_x(j), j = 1, knon)
+      PRINT *, 'wx_pbl_merge, dqsatdT0_w, dqsatdT0_x ', (dqsatdT0_w(j), dqsatdT0_x(j), j = 1, knon)
     ENDIF
 
@@ -535,8 +535,8 @@
 
     IF (prt_level >= 10) THEN
-      print *, 'wx_pbl_dts AAAA BcoefQ, BcoefQ0, sigw ', &
+      PRINT *, 'wx_pbl_dts AAAA BcoefQ, BcoefQ0, sigw ', &
               BcoefQ, BcoefQ0, sigw
-      print *, 'wx_pbl_dts_merge, dTs_ins      ', dTs_ins
-      print *, 'wx_pbl_dts_merge, dqs_ins      ', dqsatsrf_ins
+      PRINT *, 'wx_pbl_dts_merge, dTs_ins      ', dTs_ins
+      PRINT *, 'wx_pbl_dts_merge, dqs_ins      ', dqsatsrf_ins
     ENDIF
 
@@ -616,5 +616,5 @@
     sigx(:) = 1. - sigw(:)
 
-    !      print *,' AAAA wx_pbl_split, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
+    !      PRINT *,' AAAA wx_pbl_split, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
 
     IF (iflag_split == 2 .AND. nsrf /= is_oce) THEN
@@ -623,6 +623,6 @@
       !   -----------------------------------------
       IF (prt_level >=10) THEN
-        print *, ' wx_pbl_split, dTs_ins, dTs0 , Gamma_phiT, g_T ', dTs_ins, dTs0, Gamma_phiT, g_T
-        print *, ' wx_pbl_split, dqsatsrf_ins, Gamma_phiQ, g_q ', dqsatsrf_ins, Gamma_phiQ, g_q
+        PRINT *, ' wx_pbl_split, dTs_ins, dTs0 , Gamma_phiT, g_T ', dTs_ins, dTs0, Gamma_phiT, g_T
+        PRINT *, ' wx_pbl_split, dqsatsrf_ins, Gamma_phiQ, g_q ', dqsatsrf_ins, Gamma_phiQ, g_q
       ENDIF
 
@@ -634,7 +634,7 @@
 
       IF (prt_level >=10) THEN
-        print *, ' wx_pbl_split, dqsatsrf0, QQ_b ', dqsatsrf0, QQ_b
-        print *, ' wx_pbl_split, phiT0_b, phiT, dTs ', phiT0_b, phiT, dTs
-        print *, ' wx_pbl_split, phiQ0_b, phiQ, dqsatsrf ', phiQ0_b, phiQ, dqsatsrf
+        PRINT *, ' wx_pbl_split, dqsatsrf0, QQ_b ', dqsatsrf0, QQ_b
+        PRINT *, ' wx_pbl_split, phiT0_b, phiT, dTs ', phiT0_b, phiT, dTs
+        PRINT *, ' wx_pbl_split, phiQ0_b, phiQ, dqsatsrf ', phiQ0_b, phiQ, dqsatsrf
       ENDIF
     ELSE
@@ -671,16 +671,16 @@
 
     !!  Do j = 1,knon
-    !!     print *,'XXXsplit : j, q1_x(j), AQ_x(j), BQ_x(j), phiQ_x(j) ', j, q1_x(j), AQ_x(j), BQ_x(j), phiQ_x(j)
-    !!     print *,'XXXsplit : j, q1_w(j), AQ_w(j), BQ_w(j), phiQ_w(j) ', j, q1_w(j), AQ_w(j), BQ_w(j), phiQ_w(j)
+    !!     PRINT *,'XXXsplit : j, q1_x(j), AQ_x(j), BQ_x(j), phiQ_x(j) ', j, q1_x(j), AQ_x(j), BQ_x(j), phiQ_x(j)
+    !!     PRINT *,'XXXsplit : j, q1_w(j), AQ_w(j), BQ_w(j), phiQ_w(j) ', j, q1_w(j), AQ_w(j), BQ_w(j), phiQ_w(j)
     !!  ENDDO
 
     IF (prt_level >=10) THEN
-      print *, ' wx_pbl_split, phiT, dphiT, dTs ', phiT, dphiT, dTs
-      print *, ' wx_pbl_split, phiQ, dphiQ, dqsatsrf ', phiQ, dphiQ, dqsatsrf
+      PRINT *, ' wx_pbl_split, phiT, dphiT, dTs ', phiT, dphiT, dTs
+      PRINT *, ' wx_pbl_split, phiQ, dphiQ, dqsatsrf ', phiQ, dphiQ, dqsatsrf
     ENDIF
 
     IF (prt_level >=10) THEN
-      !!          print *,' wx_pbl_split, verif dqsatsrf = beta dqsatdT0 dTs '
-      !!          print *,' wx_pbl_split, dqsatsrf, dqsatdT0*dTs ', dqsatsrf, dqsatdT0*dTs
+      !!          PRINT *,' wx_pbl_split, verif dqsatsrf = beta dqsatdT0 dTs '
+      !!          PRINT *,' wx_pbl_split, dqsatsrf, dqsatdT0*dTs ', dqsatsrf, dqsatdT0*dTs
     ENDIF
 
@@ -809,5 +809,5 @@
     !!   L_v(1:knon) = RLvtt
     IF (prt_level >=10) THEN
-      print *, ' AAAA wx_pbl_check, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
+      PRINT *, ' AAAA wx_pbl_check, C_p(j), qsat0(j), Ts0(j) : ', C_p(:), qsat0(:), Ts0(:)
     ENDIF ! (prt_level >=10 )
 
@@ -829,30 +829,30 @@
       DO j = 1, knon
 
-        print *, 'wx_pbl_check: Kech_h, Kech_q ', Kech_h(j), Kech_q(j)
+        PRINT *, 'wx_pbl_check: Kech_h, Kech_q ', Kech_h(j), Kech_q(j)
 
         Ta(j) = (AcoefT(j) + BcoefT(j) * phiT_b9(j) * dtime) / C_p(j)
         qa(j) = AcoefQ(j) + BcoefQ(j) * phiQ_b9(j) * dtime
-        print *, 'wx_pbl_check: j, Ta, qa ', Ta(j), qa(j)
+        PRINT *, 'wx_pbl_check: j, Ta, qa ', Ta(j), qa(j)
 
         qsat_bs(j) = qsat01(j) + dqsatdT01(j) * (Ts_b9(j) - Ts0_b9(j))
 
-        print *, 'wx_pbl_check: qsat01, qsat_bs ', j, qsat01(j), qsat_bs(j)
+        PRINT *, 'wx_pbl_check: qsat01, qsat_bs ', j, qsat01(j), qsat_bs(j)
 
         Ts_x(j) = Ts_b9(j) - sigw(j) * dTs9(j)
         Ts_w(j) = Ts_b9(j) + sigx(j) * dTs9(j)
-        print *, 'wx_pbl_check: j, Ts_b9, Ts_w, Ts_x ', j, Ts_b9(j), Ts_w(j), Ts_x(j)
+        PRINT *, 'wx_pbl_check: j, Ts_b9, Ts_w, Ts_x ', j, Ts_b9(j), Ts_w(j), Ts_x(j)
 
         qsat_x(j) = qsat0_x(j) + dqsatdT0_x(j) * (Ts_x(j) - Ts0_x(j))
         qsat_w(j) = qsat0_w(j) + dqsatdT0_w(j) * (Ts_w(j) - Ts0_w(j))
 
-        print *, 'wx_pbl_check: qsat0_w, qsat0_x, qsat_w, qsat_x ', qsat0_w(j), qsat0_x(j), qsat_w(j), qsat_x(j)
+        PRINT *, 'wx_pbl_check: qsat0_w, qsat0_x, qsat_w, qsat_x ', qsat0_w(j), qsat0_x(j), qsat_w(j), qsat_x(j)
 
         T1_x(j) = (AcoefT_x(j) + BcoefT_x(j) * phiT_x9(j) * dtime) / C_p(j)
         T1_w(j) = (AcoefT_w(j) + BcoefT_w(j) * phiT_w9(j) * dtime) / C_p(j)
-        print *, 'wx_pbl_check: j, T1_w, T1_x ', j, T1_w(j), T1_x(j)
+        PRINT *, 'wx_pbl_check: j, T1_w, T1_x ', j, T1_w(j), T1_x(j)
 
         q1_x(j) = AQ_x(j) + BQ_x(j) * phiQ_x9(j) * dtime
         q1_w(j) = AQ_w(j) + BQ_w(j) * phiQ_w9(j) * dtime
-        print *, 'wx_pbl_check: j, q1_w, q1_x ', j, q1_w(j), q1_x(j)
+        PRINT *, 'wx_pbl_check: j, q1_w, q1_x ', j, q1_w(j), q1_x(j)
 
         qsatsrf_x(j) = beta(j) * qsat_x(j)
@@ -861,16 +861,16 @@
 
         dqsatsrf1 = qsatsrf_w(j) - qsatsrf_x(j)
-        print *, 'wx_pbl_check: j, qsatsrf_w, qsatsrf_x, dqsatsrf1, dqsatsrf9 ', &
+        PRINT *, 'wx_pbl_check: j, qsatsrf_w, qsatsrf_x, dqsatsrf1, dqsatsrf9 ', &
                 qsatsrf_w(j), qsatsrf_x(j), dqsatsrf1, dqsatsrf9(j)
 
         qsurf_x(j) = (1 - beta(j)) * q1_x(j) + qsatsrf_x(j)
         qsurf_w(j) = (1 - beta(j)) * q1_w(j) + qsatsrf_w(j)
-        print *, 'wx_pbl_check: j, qsurf_w, qsurf_x ', j, qsurf_w(j), qsurf_x(j)
+        PRINT *, 'wx_pbl_check: j, qsurf_w, qsurf_x ', j, qsurf_w(j), qsurf_x(j)
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         !  Test qsat01 = qsat0    et   dqsatdT01 = dqsatdT0
         !------------------------------------------------------------------------------------------------------
-        print *, 'wx_pbl_check: j, qsat01(j), qsat0(j) ', j, qsat01(j), qsat0(j)
-        print *, 'wx_pbl_check: j, dqsatdT01(j), dqsatdT0(j) ', j, dqsatdT01(j), dqsatdT0(j)
+        PRINT *, 'wx_pbl_check: j, qsat01(j), qsat0(j) ', j, qsat01(j), qsat0(j)
+        PRINT *, 'wx_pbl_check: j, dqsatdT01(j), dqsatdT0(j) ', j, dqsatdT01(j), dqsatdT0(j)
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -879,6 +879,6 @@
         Kech_Q_sx1 = Kech_q_x(j) / (1. - beta(j) * Kech_q_x(j) * BQ_x(j) * dtime)
         Kech_Q_sw1 = Kech_q_w(j) / (1. - beta(j) * Kech_q_w(j) * BQ_w(j) * dtime)
-        print *, 'wx_pbl_check: j, Kech_Q_sx1, Kech_Q_sx(j)', j, Kech_Q_sx1, Kech_Q_sx(j)
-        print *, 'wx_pbl_check: j, Kech_Q_sw1, Kech_Q_sw(j)', j, Kech_Q_sw1, Kech_Q_sw(j)
+        PRINT *, 'wx_pbl_check: j, Kech_Q_sx1, Kech_Q_sx(j)', j, Kech_Q_sx1, Kech_Q_sx(j)
+        PRINT *, 'wx_pbl_check: j, Kech_Q_sw1, Kech_Q_sw(j)', j, Kech_Q_sw1, Kech_Q_sw(j)
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -893,6 +893,6 @@
         phiT_x2 = Kech_T_px(j) * (AcoefT_x(j) - C_p(j) * Ts_x(j))
         phiT_w2 = Kech_T_pw(j) * (AcoefT_w(j) - C_p(j) * Ts_w(j))
-        print *, 'wx_pbl_check: j, phiT_w1, phiT_w2, phiT_w9 ', j, phiT_w1, phiT_w2, phiT_w9(j)
-        print *, 'wx_pbl_check: j, phiT_x1, phiT_x2, phiT_x9 ', j, phiT_x1, phiT_x2, phiT_x9(j)
+        PRINT *, 'wx_pbl_check: j, phiT_w1, phiT_w2, phiT_w9 ', j, phiT_w1, phiT_w2, phiT_w9(j)
+        PRINT *, 'wx_pbl_check: j, phiT_x1, phiT_x2, phiT_x9 ', j, phiT_x1, phiT_x2, phiT_x9(j)
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -913,6 +913,6 @@
         phiq_x3 = Kech_q_x(j) * (q1_x(j) - qsurf_x(j))
         phiq_w3 = Kech_q_w(j) * (q1_w(j) - qsurf_w(j))
-        print *, 'wx_pbl_check: j, phiQ_w1, phiQ_w2, phiQ_w3, phiQ_w9 ', j, phiQ_w1, phiQ_w2, phiQ_w3, phiQ_w9(j)
-        print *, 'wx_pbl_check: j, phiQ_x1, phiQ_x2, phiQ_x3, phiQ_x9 ', j, phiQ_x1, phiQ_x2, phiQ_x3, phiQ_x9(j)
+        PRINT *, 'wx_pbl_check: j, phiQ_w1, phiQ_w2, phiQ_w3, phiQ_w9 ', j, phiQ_w1, phiQ_w2, phiQ_w3, phiQ_w9(j)
+        PRINT *, 'wx_pbl_check: j, phiQ_x1, phiQ_x2, phiQ_x3, phiQ_x9 ', j, phiQ_x1, phiQ_x2, phiQ_x3, phiQ_x9(j)
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -920,5 +920,5 @@
         !--------------------------------------------------------------
         phiT_b1 = Kech_h(j) * C_p(j) * (Ta(j) - Ts_b9(j))
-        print *, 'wx_pbl_check: j, phiT_b1, PhiT_b9 ', j, phiT_b1, PhiT_b9(j)
+        PRINT *, 'wx_pbl_check: j, phiT_b1, PhiT_b9 ', j, phiT_b1, PhiT_b9(j)
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -927,5 +927,5 @@
         evap_pot = Kech_q(j) * (qa(j) - qsat_bs(j))
         phiQ_b1 = beta(j) * Kech_q(j) * (qa(j) - qsat_bs(j))
-        print *, 'wx_pbl_check: j, beta, evap_pot, phiQ_b1, PhiQ_b9 ', j, beta(j), evap_pot, phiQ_b1, PhiQ_b9(j)
+        PRINT *, 'wx_pbl_check: j, beta, evap_pot, phiQ_b1, PhiQ_b9 ', j, beta(j), evap_pot, phiQ_b1, PhiQ_b9(j)
 
       ENDDO  ! j = 1, knon
@@ -1051,7 +1051,7 @@
 
     IF (prt_level >=10) THEN
-      print *, '->wx_pbl_dts_check, HTphiT_b, HTphiQ_b, HTRn_b ', &
+      PRINT *, '->wx_pbl_dts_check, HTphiT_b, HTphiQ_b, HTRn_b ', &
               HTphiT_b, HTphiQ_b, HTRn_b
-      print *, '->wx_pbl_dts_check, dd_HTphiT, dd_HTphiQ, dd_HTRn ', &
+      PRINT *, '->wx_pbl_dts_check, dd_HTphiT, dd_HTphiQ, dd_HTRn ', &
               dd_HTphiT, dd_HTphiQ, dd_HTRn
     ENDIF ! (prt_level >=10 )
@@ -1059,5 +1059,5 @@
     ! Compute the three qsat and dqsatdTs
     ! ---------------------------------------------
-    !!      print *,' AAAA wx_pbl_dts_check, C_p(j), qsat0(j), Ts0(j) : ',  &
+    !!      PRINT *,' AAAA wx_pbl_dts_check, C_p(j), qsat0(j), Ts0(j) : ',  &
     !!                                      (C_p(j), qsat0(j), Ts0(j), j = 1,knon)
 
@@ -1069,5 +1069,5 @@
         Ts_x(j) = Ts_b9(j) - sigw(j) * dTs9(j)
         Ts_w(j) = Ts_b9(j) + sigx(j) * dTs9(j)
-        print *, 'wx_pbl_dts_check: j, Ts_b9, Ts_w, Ts_x ', j, Ts_b9(j), Ts_w(j), Ts_x(j)
+        PRINT *, 'wx_pbl_dts_check: j, Ts_b9, Ts_w, Ts_x ', j, Ts_b9(j), Ts_w(j), Ts_x(j)
 
         qsat_x(j) = qsat0_x(j) + dqsatdT0_x(j) * (Ts_x(j) - Ts0_x(j))
@@ -1076,9 +1076,9 @@
         T1_x(j) = (AcoefT_x(j) + BcoefT_x(j) * phiT_x9(j) * dtime) / C_p(j)
         T1_w(j) = (AcoefT_w(j) + BcoefT_w(j) * phiT_w9(j) * dtime) / C_p(j)
-        print *, 'wx_pbl_dts_check: j, T1_w, T1_x ', j, T1_w(j), T1_x(j)
+        PRINT *, 'wx_pbl_dts_check: j, T1_w, T1_x ', j, T1_w(j), T1_x(j)
 
         q1_x(j) = AQ_x(j) + BQ_x(j) * phiQ_x9(j) * dtime
         q1_w(j) = AQ_w(j) + BQ_w(j) * phiQ_w9(j) * dtime
-        print *, 'wx_pbl_dts_check: j, q1_w, q1_x ', j, q1_w(j), q1_x(j)
+        PRINT *, 'wx_pbl_dts_check: j, q1_w, q1_x ', j, q1_w(j), q1_x(j)
 
         Rn_x(j) = eps_1 * Rsigma * T1_x(j)**4 - Rsigma * Ts_x(j)**4
@@ -1091,5 +1091,5 @@
                 + dd_HTRn(j) / HTphiT_b(j) * (phiT_b9(j) - phiT0_b9(j))
 
-        print *, 'wx_pbl_dts_check, dphiT, L_v*dphiQ, dRn, dTs ', &
+        PRINT *, 'wx_pbl_dts_check, dphiT, L_v*dphiQ, dRn, dTs ', &
                 phiT_w9(j) - phiT_x9(j), L_v(j) * (phiQ_w9(j) - phiQ_x9(j)), dRn(j), dTs9(j)
 
@@ -1100,8 +1100,8 @@
         !  Test phiQ_w-phiQ0_w = -beta*Kech_Q_sw*dqsatdT_w*(Ts_w-Ts0_w)
         !--------------------------------------------------------------
-        print *, 'wx_pbl_dts_check: beta(j), Kech_Q_sw(j), dqsatdT0_w(j), Ts_w(j), Ts0_w(j) ', &
+        PRINT *, 'wx_pbl_dts_check: beta(j), Kech_Q_sw(j), dqsatdT0_w(j), Ts_w(j), Ts0_w(j) ', &
                 beta(j), Kech_Q_sw(j), dqsatdT0_w(j), Ts_w(j), Ts0_w(j)
         phiQ_w_m_phiQ0_w = -beta(j) * Kech_Q_sw(j) * dqsatdT0_w(j) * (Ts_w(j) - Ts0_w(j))
-        print *, 'wx_pbl_dts_check: j, phiQ_w9-phiQ0_w, phiQ_w_m_phiQ0_w ', &
+        PRINT *, 'wx_pbl_dts_check: j, phiQ_w9-phiQ0_w, phiQ_w_m_phiQ0_w ', &
                 j, phiQ_w9(j) - phiQ0_w(j), phiQ_w_m_phiQ0_w
 
@@ -1110,5 +1110,5 @@
         !--------------------------------------------------------------
         phiQ_x_m_phiQ0_x = -beta(j) * Kech_Q_sx(j) * dqsatdT0_x(j) * (Ts_x(j) - Ts0_x(j))
-        print *, 'wx_pbl_dts_check: j, phiQ_x9-phiQ0_x, phiQ_x_m_phiQ0_x ', &
+        PRINT *, 'wx_pbl_dts_check: j, phiQ_x9-phiQ0_x, phiQ_x_m_phiQ0_x ', &
                 j, phiQ_x9(j) - phiQ0_x(j), phiQ_x_m_phiQ0_x
 
@@ -1119,5 +1119,5 @@
         dphiT_m_dphiT0 = -(HTphiT_b(j) + (sigx(j) - sigw(j)) * dd_HTphiT(j)) * (dTs9(j) - dTs09(j)) &
                 - dd_HTphiT(j) * (Ts_b9(j) - Ts0_b9(j))
-        print *, 'wx_pbl_dts_check: j, dphiT-dphiT09, dphiT_m_dphiT0 ', j, dphiT - dphiT09(j), dphiT_m_dphiT0
+        PRINT *, 'wx_pbl_dts_check: j, dphiT-dphiT09, dphiT_m_dphiT0 ', j, dphiT - dphiT09(j), dphiT_m_dphiT0
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -1127,5 +1127,5 @@
         dphiQ_m_dphiQ0 = -(HTphiQ_b(j) + (sigx(j) - sigw(j)) * dd_HTphiQ(j)) * (dTs9(j) - dTs09(j)) &
                 - dd_HTphiQ(j) * (Ts_b9(j) - Ts0_b9(j))
-        print *, 'wx_pbl_dts_check: j, dphiQ-dphiQ09, dphiQ_m_dphiQ0 ', j, dphiQ - dphiQ09(j), dphiQ_m_dphiQ0
+        PRINT *, 'wx_pbl_dts_check: j, dphiQ-dphiQ09, dphiQ_m_dphiQ0 ', j, dphiQ - dphiQ09(j), dphiQ_m_dphiQ0
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -1134,5 +1134,5 @@
         dRn_m_dRn0 = -(HTRn_b(j) + (sigx(j) - sigw(j)) * dd_HTRn(j)) * (dTs9(j) - dTs09(j)) &
                 - dd_HTRn(j) * (Ts_b9(j) - Ts0_b9(j))
-        print *, 'wx_pbl_dts_check: j, dRn-dRn09, dRn_m_dRn0 ', j, dRn - dRn09(j), dRn_m_dRn0
+        PRINT *, 'wx_pbl_dts_check: j, dRn-dRn09, dRn_m_dRn0 ', j, dRn - dRn09(j), dRn_m_dRn0
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -1140,5 +1140,5 @@
         !-------------------------------------------------------------------------------
         phiTb_m_phiT0b = -sigx(j) * sigw(j) * dd_HTphiT(j) * (dTs9(j) - dTs09(j)) - HTphiT_b(j) * (Ts_b9(j) - Ts0_b9(j))
-        print *, 'wx_pbl_dts_check: j, phiT_b9-phiT0_b9, phiTb_m_phiT0b ', j, phiT_b9(j) - phiT0_b9(j), phiTb_m_phiT0b
+        PRINT *, 'wx_pbl_dts_check: j, phiT_b9-phiT0_b9, phiTb_m_phiT0b ', j, phiT_b9(j) - phiT0_b9(j), phiTb_m_phiT0b
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -1148,5 +1148,5 @@
         err_phiT_x(j) = Kech_h_x(j) * C_p(j) * (T1_x(j) - Ts_x(j)) - phiT_x9(j)
         err_phiT_w(j) = Kech_h_w(j) * C_p(j) * (T1_w(j) - Ts_w(j)) - phiT_w9(j)
-        print *, 'wx_pbl_dts_check: j, phiT_w9, phiT_x9, err_phiT_w, err_phiT_x ', &
+        PRINT *, 'wx_pbl_dts_check: j, phiT_w9, phiT_x9, err_phiT_w, err_phiT_x ', &
                 j, phiT_w9(j), phiT_x9(j), err_phiT_w(j), err_phiT_x(j)
         dphiT = phiT_w9(j) - phiT_x9(j)
@@ -1156,5 +1156,5 @@
                 ) * (dTs9(j) - dTs09(j)) &
                 + dd_HTphiT(j) / HTphiT_b(j) * (phiT_b9(j) - phiT0_b9(j))
-        print *, 'wx_pbl_dts_check: j, dphiT, dphiT_H ', j, dphiT, dphiT_H
+        PRINT *, 'wx_pbl_dts_check: j, dphiT, dphiT_H ', j, dphiT, dphiT_H
 
         !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -1171,5 +1171,5 @@
                 ) * (dTs9(j) - dTs09(j)) &
                 + dd_HTphiQ(j) / HTphiT_b(j) * (phiT_b9(j) - phiT0_b9(j))
-        print *, 'wx_pbl_dts_check: j, dphiQ, dphiQ_H ', j, dphiQ, dphiQ_H
+        PRINT *, 'wx_pbl_dts_check: j, dphiQ, dphiQ_H ', j, dphiQ, dphiQ_H
 
         !  phiT_b = sigw phiT_w + sigx phiT_x                     dphiT = phiT_w - phiT_x
@@ -1183,5 +1183,5 @@
         Ta(j) = (AcoefT(j) + BcoefT(j) * phiT_b9(j) * dtime) / C_p(j)
         err2_phiT_b(j) = Kech_h(j) * C_p(j) * (Ta(j) - Ts_b9(j)) - phiT_b9(j)
-        print *, 'wx_pbl_dts_check: j, Ta, phiT_b9, err2_phiT_b ', &
+        PRINT *, 'wx_pbl_dts_check: j, Ta, phiT_b9, err2_phiT_b ', &
                 j, Ta(j), phiT_b9(j), err2_phiT_b(j)
 
@@ -1210,5 +1210,5 @@
 
       qsat_bs = qsat0(j) + dqsatdT0(j) * (Ts(j) - Ts0(j))
-      !!  print *,'wx_evappot : Kech_q, qsat_bs, qa, evap_pot ', Kech_q(j), qsat_bs, q1(j), evap_pot(j)
+      !!  PRINT *,'wx_evappot : Kech_q, qsat_bs, qa, evap_pot ', Kech_q(j), qsat_bs, q1(j), evap_pot(j)
     ENDDO
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90	(revision 5160)
@@ -395,5 +395,5 @@
       C_p(j) = RCpd
 
-      !      print *,' AAAA wx_pbl0, C_p(j), qsat0(j), Ts0(j) : ', C_p(j), qsat0(j), Ts0(j)
+      !      PRINT *,' AAAA wx_pbl0, C_p(j), qsat0(j), Ts0(j) : ', C_p(j), qsat0(j), Ts0(j)
     ENDDO
     DO j = 1, knon
@@ -456,9 +456,9 @@
       dd_Km = Kech_m_w(j) - Kech_m_x(j)
       IF (prt_level >=10) THEN
-        print *, ' mod_wind_x, mod_wind_w ', mod_wind_x, mod_wind_w
-        print *, ' rho1 ', rho1
-        print *, ' ycdragh_x(j),ycdragm_x(j) ', ycdragh_x(j), ycdragm_x(j)
-        print *, ' ycdragh_w(j),ycdragm_w(j) ', ycdragh_w(j), ycdragm_w(j)
-        print *, ' dd_Kh: ', dd_Kh
+        PRINT *, ' mod_wind_x, mod_wind_w ', mod_wind_x, mod_wind_w
+        PRINT *, ' rho1 ', rho1
+        PRINT *, ' ycdragh_x(j),ycdragm_x(j) ', ycdragh_x(j), ycdragm_x(j)
+        PRINT *, ' ycdragh_w(j),ycdragm_w(j) ', ycdragh_w(j), ycdragm_w(j)
+        PRINT *, ' dd_Kh: ', dd_Kh
       ENDIF
 
@@ -521,8 +521,8 @@
 
       IF (prt_level >=10) THEN
-        print *, 'Variables pour la fusion : Kech_T_px(j)', Kech_T_px(j)
-        print *, 'Variables pour la fusion : Kech_T_pw(j)', Kech_T_pw(j)
-        print *, 'Variables pour la fusion : Kech_Tp(j)', Kech_Tp(j)
-        print *, 'Variables pour la fusion : Kech_h(j)', Kech_h(j)
+        PRINT *, 'Variables pour la fusion : Kech_T_px(j)', Kech_T_px(j)
+        PRINT *, 'Variables pour la fusion : Kech_T_pw(j)', Kech_T_pw(j)
+        PRINT *, 'Variables pour la fusion : Kech_Tp(j)', Kech_Tp(j)
+        PRINT *, 'Variables pour la fusion : Kech_h(j)', Kech_h(j)
       ENDIF
 
@@ -563,5 +563,5 @@
       KxKwQs(j) = Kech_Q_sx(j) * Kech_Q_sw(j)
 
-      !!  print *,'BBBBwx_prelim_beta : beta ', beta(j)
+      !!  PRINT *,'BBBBwx_prelim_beta : beta ', beta(j)
 
     ENDDO ! j = 1, knon
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5160)
@@ -269,9 +269,9 @@
      debug_level=10
      IF (first) THEN
-        print *,"TestJLD rcpv, rcw, rcs",rcpv, rcw, rcs
+        PRINT *,"TestJLD rcpv, rcw, rcs",rcpv, rcw, rcs
         first=.FALSE.
      endif
 
-!  print *,'add_phys_tend: paprs ',paprs
+!  PRINT *,'add_phys_tend: paprs ',paprs
 ! When in diagnostic mode, save initial values of out variables
   IF (diag_mode == 1) THEN
@@ -746,9 +746,9 @@
      debug_level=10
      IF (first) THEN
-        print *,"TestJLD rcpv, rcw, rcs",rcpv, rcw, rcs
+        PRINT *,"TestJLD rcpv, rcw, rcs",rcpv, rcw, rcs
         first=.FALSE.
      endif
 
-!  print *,'add_phys_tend: paprs ',paprs
+!  PRINT *,'add_phys_tend: paprs ',paprs
 !======================================================================
 ! Diagnostics for energy conservation tests
@@ -813,7 +813,7 @@
     d_ek_col(:) = (zek_col(:,2)-zek_col(:,1))/phys_tstep
 
-   print *,'zdu ', zdu
-   print *,'zdv ', zdv
-   print *,'d_ek_col, zek_col(2), zek_col(1) ',d_ek_col(1), zek_col(1,2), zek_col(1,1)
+   PRINT *,'zdu ', zdu
+   PRINT *,'zdv ', zdv
+   PRINT *,'d_ek_col, zek_col(2), zek_col(1) ',d_ek_col(1), zek_col(1,2), zek_col(1,1)
 
     d_h_dair_col(:) = (zh_dair_col(:,2)-zh_dair_col(:,1))/phys_tstep
@@ -937,5 +937,5 @@
 bilh_ok=0
 
-!!print *,'prt_level:',prt_level,' fl_ebil:',fl_ebil,' fl_cor_ebil:',fl_cor_ebil
+!!PRINT *,'prt_level:',prt_level,' fl_ebil:',fl_ebil,' fl_cor_ebil:',fl_cor_ebil
 IF ( (fl_ebil > 0) .AND. (klon == 1)) THEN
   bilq_bnd = 0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5160)
@@ -143,5 +143,5 @@
 
   IF (prt_level >= 10) THEN
-    print *, '-> calwake, wake_s, wgen input ', wake_s(1), wgen(1)
+    PRINT *, '-> calwake, wake_s, wgen input ', wake_s(1), wgen(1)
   ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5160)
@@ -78,5 +78,5 @@
 
 
-!!  print *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
+!!  PRINT *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
   plim2p(:) = min(plim2(:),plim1(:)-dpmin)
   j1(:)=nd
@@ -122,5 +122,5 @@
   END DO
 
-!!  print *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
+!!  PRINT *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
 
   DO j = 1, nd
@@ -135,5 +135,5 @@
         dpw(i) = dpw(i) + wi(i, j)
 
-!!  print *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
+!!  PRINT *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
 
       END IF
@@ -167,5 +167,5 @@
 
 
-!!  print *,'cv3_vertmix, rdcp ', rdcp  !jyg
+!!  PRINT *,'cv3_vertmix, rdcp ', rdcp  !jyg
 
 
@@ -233,5 +233,5 @@
   END DO
 
-!!  print *,' cv3_vertmix->'  !jyg
+!!  PRINT *,' cv3_vertmix->'  !jyg
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90	(revision 5160)
@@ -81,5 +81,5 @@
 
 
-!!  print *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
+!!  PRINT *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
   plim2p(:) = min(plim2(:),plim1(:)-dpmin)
   j1(:)=nd
@@ -122,5 +122,5 @@
   END DO
 
-!!  print *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
+!!  PRINT *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
 
   DO j = 1, nd
@@ -135,5 +135,5 @@
         dpw(i) = dpw(i) + wi(i, j)
 
-!!  print *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
+!!  PRINT *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
 
       END IF
@@ -167,5 +167,5 @@
 
 
-!!  print *,'cv3_vertmix, rdcp ', rdcp  !jyg
+!!  PRINT *,'cv3_vertmix, rdcp ', rdcp  !jyg
 
   DO i = 1, len
@@ -216,5 +216,5 @@
   END DO
 
-!!  print *,' cv3_vertmix->'  !jyg
+!!  PRINT *,' cv3_vertmix->'  !jyg
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5160)
@@ -202,6 +202,6 @@
   INTEGER il
 
-!    print *,'cv3_incrcount : noconv_stop ',noconv_stop
-!    print *,'cv3_incrcount in, sig(1,nd) ',sig(1,nd)
+!    PRINT *,'cv3_incrcount : noconv_stop ',noconv_stop
+!    PRINT *,'cv3_incrcount in, sig(1,nd) ',sig(1,nd)
     IF(ok_convstop) THEN
       DO il = 1, len
@@ -215,5 +215,5 @@
       END DO
     ENDIF  ! (ok_convstop)
-!    print *,'cv3_incrcount out, sig(1,nd) ',sig(1,nd)
+!    PRINT *,'cv3_incrcount out, sig(1,nd) ',sig(1,nd)
 
 
@@ -280,5 +280,5 @@
                  (p(i,k-1)-p(i,k))/ph(i, k)        !convect3
 
-! c        print *,' gz(',k,')',gz(i,k),' tvx',tvx,' tvy ',tvy
+! c        PRINT *,' gz(',k,')',gz(i,k),' tvx',tvx,' tvy ',tvy
 
 ! ori         gz(i,k)=gz(i,k-1)+hrd*(tv(i,k-1)+tv(i,k))
@@ -611,5 +611,5 @@
   ENDIF
   IF (prt_level >= 10) THEN
-    print *,'cv3_feed : iflag(1), pfeed(1), plcl(1), wghti(1,k) ', &
+    PRINT *,'cv3_feed : iflag(1), pfeed(1), plcl(1), wghti(1,k) ', &
                         iflag(1), pfeed(1), plcl(1), (wghti(1,k),k=1,10)
   ENDIF
@@ -1582,5 +1582,5 @@
 #endif
   IF (prt_level >= 10) THEN
-    print *,'cv3_undilute2.0. icvflag_Tpa, t(1,k), q(1,k), qs(1,k) ', &
+    PRINT *,'cv3_undilute2.0. icvflag_Tpa, t(1,k), q(1,k), qs(1,k) ', &
                         icvflag_Tpa, (k, t(1,k), q(1,k), qs(1,k), k = 1,nl)
   ENDIF
@@ -1775,6 +1775,6 @@
             ENDIF ! (tg .gt. Tx)
 
-!!     print *,' j, k, Um, U, Ux, aa, bb, discr, dd, ddelta ', j, k, Um, U, Ux, aa, bb, discr, dd, ddelta
-!!     print *,' j, k, ah0(i), ahg, tg, qg, tp(i,k), ff ', j, k, ah0(i), ahg, tg, qg, tp(i,k), ff
+!!     PRINT *,' j, k, Um, U, Ux, aa, bb, discr, dd, ddelta ', j, k, Um, U, Ux, aa, bb, discr, dd, ddelta
+!!     PRINT *,' j, k, ah0(i), ahg, tg, qg, tp(i,k), ff ', j, k, ah0(i), ahg, tg, qg, tp(i,k), ff
           END IF ! (k>=(icbs(i)+1))
         END DO ! i = 1, ncum
@@ -1839,5 +1839,5 @@
             Tp(i,k) = tg + (ah0(i) - ahg)/ &
                     (cpd + (cl-cpd)*qta(i,k-1) + (lv(i,k)+frac(i,k)*lf(i,k))*dqgdT)
-!!   print *,'undilute2 iterations k, Tp(i,k), ah0(i), ahg ', &
+!!   PRINT *,'undilute2 iterations k, Tp(i,k), ah0(i), ahg ', &
 !!                                 k, Tp(i,k), ah0(i), ahg
           END IF ! (k>=(icbs(i)+1))
@@ -2216,5 +2216,5 @@
 !   =========================================================================
   IF (prt_level >= 10) THEN
-    print *,'cv3_undilute2.1. tp(1,k), tvp(1,k) ', &
+    PRINT *,'cv3_undilute2.1. tp(1,k), tvp(1,k) ', &
                           (k, tp(1,k), tvp(1,k), k = 1,nl)
   ENDIF
@@ -3696,5 +3696,5 @@
 
 ! ------------------------------------------------------
-IF (prt_level >= 10) print *,' ->cv3_unsat, iflag(1) ', iflag(1)
+IF (prt_level >= 10) PRINT *,' ->cv3_unsat, iflag(1) ', iflag(1)
 
 smallestreal=tiny(smallestreal)
@@ -4114,5 +4114,5 @@
 !    water(il,i)=revap*revap
 !    prec(il,i)=revap*revap
-!!        print *,' i,b6,c6,revap,evap(il,i),water(il,i),wdtrain(il) ', &
+!!        PRINT *,' i,b6,c6,revap,evap(il,i),water(il,i),wdtrain(il) ', &
 !!                 i,b6,c6,revap,evap(il,i),water(il,i),wdtrain(il)
 !!---end jyg---
@@ -4139,7 +4139,7 @@
           b6 = bfac*50.*sigd(il)*(ph(il,i)-ph(il,i+1))*sigt*afac1
           c6 = prec(il, i+1) + 0.5*bfac*wdtrain(il)
-! print *,'bfac,sigd(il),sigt,afac1 ',bfac,sigd(il),sigt,afac1
-! print *,'prec(il,i+1),wdtrain(il) ',prec(il,i+1),wdtrain(il)
-! print *,'b6,c6,b6*b6+4.*c6 ',b6,c6,b6*b6+4.*c6
+! PRINT *,'bfac,sigd(il),sigt,afac1 ',bfac,sigd(il),sigt,afac1
+! PRINT *,'prec(il,i+1),wdtrain(il) ',prec(il,i+1),wdtrain(il)
+! PRINT *,'b6,c6,b6*b6+4.*c6 ',b6,c6,b6*b6+4.*c6
           IF (c6>b6*b6+1.E-20) THEN
             revap = 2.*c6/(b6+sqrt(b6*b6+4.*c6))
@@ -4163,5 +4163,5 @@
 !JYG---   Dans tous les cas, evaporation = [tt ce qui entre dans la couche i]
 ! moins [tt ce qui sort de la couche i]
-! print *, 'evap avec ice'
+! PRINT *, 'evap avec ice'
           evap(il, i) = (wdtrain(il)+sigd(il)*wt(il,i)*(prec(il,i+1)-prec(il,i))) / &
                         (sigd(il)*(ph(il,i)-ph(il,i+1))*100.)
@@ -4227,5 +4227,5 @@
             water(il, i) = 0.
           END IF
-! print *, 'evap sans ice'
+! PRINT *, 'evap sans ice'
           evap(il, i) = (wdtrain(il)+sigd(il)*wt(il,i)*(water(il,i+1)-water(il,i)))/ &
                         (sigd(il)*(ph(il,i)-ph(il,i+1))*100.)
@@ -5645,5 +5645,5 @@
 !-----------------------------------------------------------
 
-!!   print *,'yield, i, amp1, ad', i, amp1(1), ad(1)
+!!   PRINT *,'yield, i, amp1, ad', i, amp1(1), ad(1)
 
     DO il = 1, ncum
@@ -6798,5 +6798,5 @@
 
     IF (prt_level >= 5) THEN
-      print *,' CV3_YIELD : alpha_qpos ',alpha_qpos(1)
+      PRINT *,' CV3_YIELD : alpha_qpos ',alpha_qpos(1)
     ENDIF
 
@@ -7022,5 +7022,5 @@
           END IF
         END IF
-! c        print *,'cbmf',il,i,k,cbmf(il),wghti(il,k)
+! c        PRINT *,'cbmf',il,i,k,cbmf(il),wghti(il,k)
       END DO
     END DO
@@ -7035,5 +7035,5 @@
           dnwd(il, i) = dnwd(il, i) + dn1(il, k, i)
         END IF
-! c         print *,'upwd',il,i,k,inb(il),upwd(il,i),m(il,k),up1(il,k,i)
+! c         PRINT *,'upwd',il,i,k,inb(il),upwd(il,i),m(il,k),up1(il,k,i)
       END DO
     END DO
